Module com.io7m.jregions.core
Package com.io7m.jregions.core.unparameterized.areas

## Class AreaXSplitF<T extends AreaFType>

- java.lang.Object
- - com.io7m.jregions.core.unparameterized.areas.AreaXSplitF<T>

- Type Parameters:
    `T` - The precise type of area
  All Implemented Interfaces:
    `AreaXSplitFType<T>`

      public final class AreaXSplitF<T extends AreaFType>
      extends java.lang.Object
      implements AreaXSplitFType<T>

  An area that has been split via the X axis.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `AreaXSplitF.Builder<T extends AreaFType>` | Builds instances of type `AreaXSplitF`.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static <T extends AreaFType> AreaXSplitF.Builder<T>` | `builder​()` | Creates a builder for `AreaXSplitF`.
    `boolean` | `equals​(java.lang.Object another)` | This instance is equal to all instances of `AreaXSplitF` that have equal attribute values.
    `int` | `hashCode​()` | Computes a hash code from attributes: `lower`, `upper`.
    `T` | `lower​()` |
    `static <T extends AreaFType> AreaXSplitF<T>` | `of​(T lower, T upper)` | Construct a new immutable `AreaXSplitF` instance.
    `java.lang.String` | `toString​()` | Prints the immutable value `AreaXSplitF` with attribute values.
    `T` | `upper​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### lower

          public T lower​()

      Specified by:
        `lower` in interface `AreaXSplitFType<T extends AreaFType>`
      Returns:
        The lower half

    - #### upper

          public T upper​()

      Specified by:
        `upper` in interface `AreaXSplitFType<T extends AreaFType>`
      Returns:
        The upper half

    - #### equals

          public boolean equals​(java.lang.Object another)

      This instance is equal to all instances of `AreaXSplitF` that have equal attribute values.
      Overrides:
        `equals` in class `java.lang.Object`
      Returns:
        `true` if `this` is equal to `another` instance

    - #### hashCode

          public int hashCode​()

      Computes a hash code from attributes: `lower`, `upper`.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        hashCode value

    - #### toString

          public java.lang.String toString​()

      Prints the immutable value `AreaXSplitF` with attribute values.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A string representation of the value

    - #### of

          public static <T extends AreaFType> AreaXSplitF<T> of​(T lower,
                                                                T upper)

      Construct a new immutable `AreaXSplitF` instance.
      Parameters:
        `lower` - The value for the `lower` attribute
        `upper` - The value for the `upper` attribute
      Returns:
        An immutable AreaXSplitF instance

    - #### builder

          public static <T extends AreaFType> AreaXSplitF.Builder<T> builder​()

      Creates a builder for `AreaXSplitF`.
      Type Parameters:
        `T` - generic parameter T
      Returns:
        A new AreaXSplitF builder

Copyright © 2017 <code@io7m.com> http://io7m.com